using salesbook.Shared.Core.Helpers;
using salesbook.Shared.Core.Helpers.Enum;

namespace salesbook.Shared.Core.Dto.Activity;

public class FilterActivityDTO
{
    public string? Text { get; set; }
    public IEnumerable<string>? User { get; set; }
    public string? Type { get; set; }
    public string? Result { get; set; }
    public ActivityCategoryEnum? Category { get; set; }

    public bool ClearFilter =>
        Text.IsNullOrEmpty() &&
        User.IsNullOrEmpty() &&
        Type.IsNullOrEmpty() &&
        Result.IsNullOrEmpty() &&
        Category == null;
}